Subject: bug#17950: 24.4.50; REGRESSION: `read-file-name' from a menu (mouse) treats "~/" as installation dir

From: Drew Adams <[email-masked]>
Date: Sun, 6 Jul 2014 09:05:26 -0700 (PDT)

> Could be a Windows 7 thing (I'm testing on XP here).  I think it
> remembers the last directory you were in, or something.  I'll try on
> Windows 7 when I can.

OK, yes, I am on Windows 7.  But you might also want to see whether
the code for `x-file-dialog' changed recently.  There are only 8 days
separating a build that worked from this build where this is broken.